/*
 * The MIT License
 *
 * Copyright (c) 2021 CloudBees, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package org.jenkins.ui.icon;

import org.kohsuke.accmod.Restricted;
import org.kohsuke.accmod.restrictions.NoExternalUse;

/**
 * All the weather icons
 */
@Restricted(NoExternalUse.class)
public class WeatherIcon extends Icon {
    enum Status {
        POURING("build-status/weather-sprite.svg#weather-pouring"),
        RAINY("build-status/weather-sprite.svg#weather-rainy"),
        CLOUDY("build-status/weather-sprite.svg#weather-cloudy"),
        PARTLY_CLOUDY("build-status/weather-sprite.svg#weather-partly-cloudy"),
        SUNNY("build-status/weather-sprite.svg#weather-sunny");

        private String url;

        Status(String url) {
           this.url = url;
        }
    }

    public WeatherIcon(String classSpec, String style, Status status) {
        super(classSpec, status.url, style, IconFormat.EXTERNAL_SVG_SPRITE);
    }

}
